<?php
/*
http://diakro.hu/olark-elochat-plugin-357
*/

class blockolark2shop extends Module {
	
	public function __construct() {
		$this->name = 'blockolark2shop';
		$this->tab = 'advertising_marketing';
		$this->version = '1.0';
		$this->author = 'Diakro';
		$this->need_instance = 0;
		parent::__construct();
		$this->displayName = $this->l('OLARK LiveChat');
		$this->description = $this->l('Integrate your Olark Livechat script on your shop.');
		
		$this->afflink = "http://www.olark.com/?r=zu7bqcvk";
	}
	
	function install()
	{
		if (!parent::install() 
			OR !$this->registerHook('footer')
			OR !Configuration::updateValue('OLARK_ID', ''))
			return false;
		return true;
	}
	
	function uninstall()
	{
		if (!Configuration::deleteByName('OLARK_ID') OR !parent::uninstall())
			return false;
		return true;
	}

	public function getContent() {
		$output = '<h2><a href="'.$this->afflink.'"><img src="'.$this->_path.'/olark_logo_70.png" alt="" /></a> '.$this->displayName.' module</h2>'; //__PS_BASE_URI__.'modules/'.$this->name
		if (Tools::isSubmit('submitblockolark2shop')) {
			$olarkID = Tools::getValue('olarkID');
			
			Configuration::updateValue('OLARK_ID', $olarkID);
			$output .= '<div class="conf confirm">'.$this->l('Settings successfully updated').'</div>';
		}
		return $output.$this->displayForm();
	}

	public function displayForm() {
		global $cookie;
		
		$iso = Language::getIsoById((int)$cookie->id_lang);
		return '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<p>'.$this->l('Before all things, subscribe to').' <a href="'.$this->afflink.'" target="_blank" style="color:orange"><b>OLARK</b></a></p>
			<fieldset class="width3" style="height:150px">
				<legend><a href="'.$this->afflink.'" target="_blank"><img src="'.$this->_path.'logo.gif" alt="" /></a> '.$this->l('Settings').'</legend>
				
				<label style="width:100px"><a href="'.$this->afflink.'" target="_blank" title="'.$this->l('Olark live chat solutions Create your account').'"><img src="'.$this->_path.'/olark_logo_70.png" alt="'.$this->l('Olark live chat solutions').'" /></a></label>
				<div class="margin-form" style="padding-left:105px"><input type="text" name="olarkID" value="'.Configuration::get('OLARK_ID').'" />
					<p>'.$this->l('Paste your site ID like (1234-123-12-1234)').'.</p>
					'.$this->l('You can take it on your account').' <a href="'.$this->afflink.'" target="_blank">'.$this->l('here').'.</a><br />
				</div>
				
				<center><input type="submit" name="submitblockolark2shop" value="'.$this->l('Save').'" class="button" /></center>
			</fieldset>
		</form>
		<p><a href="http://diakro.hu/olark-elochat-plugin-357" target="_blank">Modul weboldala >></a></p>
		<br />
		<fieldset>
				<legend>'.$this->l('Ads').'</legend>
				<p style="text-align:center"><a href="http://www.diakro.hu" target="_blank" title="Diakro webstúdió">Diakro webstúdió</a></p>
				<p style="text-align:center">
					<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
					<!-- 728x90 szöveg és kép -->
					<ins class="adsbygoogle"
					     style="display:inline-block;width:728px;height:90px"
					     data-ad-client="ca-pub-1200220644647771"
					     data-ad-slot="3506409680"></ins>
					<script>
					(adsbygoogle = window.adsbygoogle || []).push({});
					</script>
				</p>
		</fieldset>
		';
	}

	function hookFooter($params)
	{
		global $smarty;
		if (Configuration::get('OLARK_ID') != "") {
			$OLARK_ID = Configuration::get('OLARK_ID');
			$smarty->assign(array('olarkID' => $OLARK_ID));
			return $this->display(__FILE__, 'blockolark2shop.tpl');
		}
		return $output;
	}
}

?>
